Package org.firebirdsql.gds.ng.wire.crypt.arc4

## Class Arc4EncryptionPluginSpi

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.crypt.arc4.Arc4EncryptionPluginSpi

All Implemented Interfaces:
  `EncryptionPluginSpi`

    public final class Arc4EncryptionPluginSpi
    extends java.lang.Object
    implements EncryptionPluginSpi

ARC4 encryption plugin provider.

Since:
  4.0
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
`Arc4EncryptionPluginSpi()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EncryptionPlugin` `createEncryptionPlugin​(WireConnection<?,​?> connection)` Creates the encryption plugin for the provided connection.
`EncryptionIdentifier` `getEncryptionIdentifier()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arc4EncryptionPluginSpi

    public Arc4EncryptionPluginSpi()

### Method Detail

#### getEncryptionIdentifier

    public EncryptionIdentifier getEncryptionIdentifier()

Specified by:
  `getEncryptionIdentifier` in interface `EncryptionPluginSpi`
Returns:
  Encryption identifier

#### createEncryptionPlugin

    public EncryptionPlugin createEncryptionPlugin​(WireConnection<?,​?> connection)

Description copied from interface: `EncryptionPluginSpi`
Creates the encryption plugin for the provided connection.

Specified by:
  `createEncryptionPlugin` in interface `EncryptionPluginSpi`
Parameters:
  `connection` - Connection
Returns:
  Encryption plugin